tidy.roc {broom} | R Documentation

## Tidy a(n) roc object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'roc'
    tidy(x, ...)

### Arguments

`x` | An `roc` object returned from a call to `AUC::roc()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A `tibble::tibble()` with three columns:

`cutoff` | The cutoff used for classification. Observations with predicted probabilities above this value were assigned class 1, and observations with predicted probabilities below this value were assigned class 0.
`tpr` | The true positive rate at the given cutoff.
`fpr` | The false positive rate at the given cutoff.

### See Also

`tidy()`, `AUC::roc()`

### Examples

    if (require("AUC", quietly = TRUE)) {
      data(churn)
      r <- roc(churn$predictions,churn$labels)

      td <- tidy(r)
      td

      library(ggplot2)

      ggplot(td, aes(fpr, tpr)) +
        geom_line()

      # compare the ROC curves for two prediction algorithms

      library(dplyr)
      library(tidyr)

      rocs <- churn %>%
        gather(algorithm, value, -labels) %>%
        nest(-algorithm) %>%
        mutate(tidy_roc = purrr::map(data, ~tidy(roc(.x$value, .x$labels)))) %>%
        unnest(tidy_roc)

      ggplot(rocs, aes(fpr, tpr, color = algorithm)) +
        geom_line()
    }

[Package broom version 0.5.2 Index]